Bug 127496 - devel/icu 3.8.1_1 does not build when Danish locale is in effect
Summary: devel/icu 3.8.1_1 does not build when Danish locale is in effect
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-19 13:40 UTC by Anton Berezin
Modified: 2014-08-26 06:29 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Berezin 2008-09-19 13:40:02 UTC
When trying to build the latest version of the devel/icu port,
the following occurs:

...
gmake[1]: Leaving directory `/usr/ports/devel/icu/work/icu/source/test'
gmake: Leaving directory `/usr/ports/devel/icu/work/icu/source/test'
cd /usr/ports/devel/icu/work/icu/source/test/cintltst && /usr/bin/env  LD_LIBRARY_PATH=/usr/ports/devel/icu/work/icu/source/lib:/usr/ports/devel/icu/work/icu/source/tools/ctestfw  ./cintltst
Default locale for this run is da_DK
 /
 /udatatst/
...
    ---[OK]  ---/tscoll/usrchtst/TestNumeric 
    Text: aa\u00e1
    Pattern: a\u00e1
    Error following match found at -1 0
    Error at test number 1
    ---[4 ERRORS]  ---/tscoll/usrchtst/TestDiactricMatch 
...
SUMMARY:
******* [Total error count:     4]
 Errors in
   [/tscoll/usrchtst/TestDiactricMatch]
Elapsed Time: 00:00:23.000
*** Error code 1

Stop in /usr/ports/devel/icu.
*** Error code 1

Stop in /usr/ports/devel/icu.

# env|grep da
LANG=da_DK.ISO8859-15

# unset LANG
# make
...
--------------------------------------
OK: All tests passed without error.
--------------------------------------

Since the tests are a part of the build, it is not possible
to build icu unless I change the locale settings.

Fix: 

One of the following:

 1. Report the bug upstream.
 1a. Or it could be a genuine problem with Danish locale in FreeBSD CURRENT.
 2. Modify the port to reset locale during the build.
 3. Do not run the tests as a part of the build.
 4. Something else I did not think about.
 5. Do nothing, let the user to figure it out.
How-To-Repeat: 
See above.
Comment 1 Edwin Groothuis freebsd_committer 2008-09-19 13:40:11 UTC
Maintainer of devel/icu,

Please note that PR ports/127496 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127496

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-19 13:40:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mikhail Teterin freebsd_committer 2008-09-19 16:40:10 UTC
State Changed
From-To: feedback->closed

Hi, Anton! Yes, please, do report the bug upstream via: 

http://bugs.icu-project.org/trac 

if ICU offer you a patch, I'll include it in the port. 

Thanks! Yours, 

-mi
Comment 4 Mikhail Teterin freebsd_committer 2008-09-19 17:41:54 UTC
State Changed
From-To: closed->analyzed

Reopening on the originator's request.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2008-10-03 06:48:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

Over to maintainer.
Comment 6 Mikhail T. 2009-12-20 01:48:21 UTC
Anton, could you, please, check, if the bug still exists in the
newly-updated devel/icu4? Thanks!

    -mi
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2011-12-16 05:24:16 UTC
Responsible Changed
From-To: mi->office

Over to current maintainer(s).
Comment 8 Baptiste Daroussin freebsd_committer 2014-06-05 15:59:16 UTC
is it still happening with all the recent updates of icu?